
Load csv tables:
```sql
CREATE EXTERNAL TABLE stop (time TEXT, trip_tid TEXT, trip_line TEXT, stop_name TEXT) STORED AS CSV WITH HEADER ROW LOCATION './csvs/stop.csv';
CREATE EXTERNAL TABLE trip (tid TEXT, line TEXT, base_day TEXT) STORED AS CSV WITH HEADER ROW LOCATION './csvs/trip.csv';
```

Load parquet tables:
```sql
CREATE EXTERNAL TABLE stop STORED AS PARQUET LOCATION './parquets/stops';
CREATE EXTERNAL TABLE trip STORED AS PARQUET LOCATION './parquets/trips';
```

Print pandas join results:
```sh
$ python3 pandas_demo.py
```

Inspect sqlite database:
```sh
$ sqlite3 sqlite.db
```

Queries:
```sql
-- 1. Distinct stop names
SELECT DISTINCT stop_name FROM stop INNER JOIN trip ON tid = trip_tid WHERE line = '176' ORDER BY stop_name NULLS LAST;

-- 2. Distinct stop names 2
SELECT DISTINCT stop_name FROM stop INNER JOIN trip ON tid = trip_tid WHERE trip_line = '176' ORDER BY stop_name NULLS LAST;
```

Query 1. produces undesired results when using parquet files.
