import pandas

trips = pandas.read_parquet('./parquets/trips/2021-11.parquet')
stops = pandas.read_parquet('./parquets/stops/2021-11.parquet')

joined = pandas.merge(stops, trips, left_on='trip_tid', right_on='tid')

def stop():
    # Filtering using `line` field from `trips`
    filtered_trip_line = joined[joined['line'] == '176']

    stop_names = filtered_trip_line['stop_name'].sort_values().unique()

    print('Rows filtered by trip\'s line:', len(stop_names))

    for stop_name in stop_names:
        print(stop_name)

def trip():
    # Filtering using `trip_line` field from `stops`
    filtered_stop_line = joined[joined['trip_line'] == '176']

    stop_names = filtered_stop_line['stop_name'].sort_values().unique()

    print('Rows filtered by stops\' line:', len(stop_names))

    for stop_name in stop_names:
        print(stop_name)

stop()

print()

trip()
